Bug 1269733 - openvpn fails to start a VPN connection, with shell_network_agent_set_password: assertion 'request != NULL' failed
openvpn fails to start a VPN connection, with shell_network_agent_set_passwor...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 02:22 EDT by Tapio Tallgren
Modified: 2017-08-08 08:17 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:17:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tapio Tallgren 2015-10-08 02:22:20 EDT
Description of problem:
Starting a VPN connection with the graphical user interface using openvpn does not work.

Version-Release number of selected component (if applicable):
openvpn-2.3.8-1.fc24.src.rpm
gnome-shell-3.18.0-1.fc24.src.rpm

How reproducible:
Every time

Steps to Reproduce:
1. Start VPN connection from right-hand corner
2. Type in passcode
3. Type in user name and password

Actual results:
openvpn makes a connection to the server and authenticates correctly, but the vpn connection does not start.


Expected results:
A VPN connection should start

Additional info:

Here are the interesting parts from syslog (journalctl -x):

NetworkManager[1258]: <info>  Starting VPN service 'openconnect'...

NetworkManager[1258]: <info>  VPN service 'openconnect' started (org.freedesktop.NetworkManager.openconnect), PID 3195

NetworkManager[1258]: <info>  op="connection-activate" uuid="f..." name="VPN 1" pid=2266 uid=1000 result="success"

gnome-session[1740]: (gnome-shell:1765): Gjs-WARNING **: JS ERROR: TypeError: a._connection is null

gnome-session[1740]: NMVPNSection<.setActiveConnections/<@resource:///org/gnome/shell/ui/status/network.js:1534

gnome-session[1740]: NMVPNSection<.setActiveConnections@resource:///org/gnome/shell/ui/status/network.js:1533

gnome-session[1740]: wrapper@resource:///org/gnome/gjs/modules/lang.js:169

gnome-session[1740]: NMApplet<._syncVPNConnections@resource:///org/gnome/shell/ui/status/network.js:1822

gnome-session[1740]: wrapper@resource:///org/gnome/gjs/modules/lang.js:169

NetworkManager[1258]: <info>  VPN service 'openconnect' appeared; activating connections

gnome-session[2117]: (gnome-shell:2266): GLib-CRITICAL **: g_source_remove: assertion 'tag > 0' failed

NetworkManager[1258]: <info>  VPN service 'openconnect' disappeared

gnome-session[2117]: ** (gnome-shell:2266): CRITICAL **: shell_network_agent_set_password: assertion 'request != NULL' failed
Comment 1 Jan Kurik 2016-02-24 08:49:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Daniel Stone 2016-08-30 09:43:03 EDT
(In reply to Jan Kurik from comment #1)
> This bug appears to have been reported against 'rawhide' during the Fedora
> 24 development cycle.
> Changing version to '24'.

This is still present in F25; please update the version (I don't have permission to do so). Should perhaps be reassigned to the nm-applet component though.
Comment 3 David Sommerseth 2016-08-30 13:05:21 EDT
Moved this to networkmanager-openconnect, as the log seems to be related to OpenConnect (not OpenVPN) and NetworkManager seems to be in play.
Comment 4 Blueowl 2016-09-13 12:24:47 EDT
Tapio (the original reporter) or Daniel,
would you please describe the problem more precisely if you still see that.

The description is quite confusing. It talks about openvpn and the logs denote openconnect.
And the logs and description indicates gnome-shell applet is used to activate the connection, while comment #2 mentions nm-applet.

Please describe how you activate VPN connection, what type of VPN it is, what behaviour do you experience. You can attach the connection profile:
$ nmcli -f vpn con show <VPN connection name>

and NetworkManager logs
$ sudo journalctl -b 0 -u NetworkMananger
Comment 5 Tapio Tallgren 2017-01-31 04:59:55 EST
Hi,

I no longer have the setup where I saw this problem, so cannot help in testing anymore.
Comment 6 Fedora End Of Life 2017-07-25 15:20:45 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:17:30 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.